Bug 60238 - (NET 3c59x)3c900 lockup
(NET 3c59x)3c900 lockup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-22 12:25 EST by Sam Varshavchik
Modified: 2013-07-02 22:05 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sam Varshavchik 2002-02-22 12:25:18 EST
kernel 2.4.9-21.i686.rpm with two networks cards:

00:08.0 Ethernet controller: Intel Corporation 82557 [Ethernet Pro 100] (rev 08)
       Subsystem: Intel Corporation EtherExpress PRO/100+ Management Adapter
        Flags: bus master, medium devsel, latency 32, IRQ 11
        Memory at fb000000 (32-bit, non-prefetchable) [size=4K]
        I/O ports at b800 [size=64]
        Memory at fa800000 (32-bit, non-prefetchable) [size=1M]
        Expansion ROM at <unassigned> [disabled] [size=1M]
        Capabilities: [dc] Power Management version 2

00:09.0 Ethernet controller: 3Com Corporation 3c900 Combo [Boomerang]
        Flags: bus master, medium devsel, latency 32, IRQ 5
        I/O ports at b400 [size=64]
        Expansion ROM at <unassigned> [disabled] [size=64K]


00:08.0 Class 0200: 8086:1229 (rev 08)
00:09.0 Class 0200: 10b7:9001


eth0 locked up, eth1 remained on the network.

[ grep ]

Feb 14 06:13:23 brimstone kernel: eth1: Intel Corporation 82557 [Ethernet Pro
100], 00:D0:B7:2D:CC:FE, IRQ 11.
Feb 14 06:13:23 brimstone kernel:   Board assembly 721383-008, Physical
connectors present: RJ45

By process of elimination, eth0 must therefore be the 3c900.

The hub showed the card's port as being offline.  The server continued to
function normally, I could ping the eth0's IP address from the
same machine (and obviously it was dead on the network).

The card came up after I ifdown-ed then ifup-ed it, and the system returned to
normal.

The following was logged to syslog:

Feb 22 12:00:11 brimstone kernel: NETDEV WATCHDOG: eth0: transmit timed out
Feb 22 12:00:11 brimstone kernel: eth0: transmit timed out, tx_status 00 status
e000.
Feb 22 12:00:11 brimstone kernel:   diagnostics: net 0ec0 media 4810 dma
00000021.
Feb 22 12:00:11 brimstone kernel:   Flags; bus-master 1, dirty 403260(12)
Feb 22 12:00:11 brimstone kernel:   Transmit list 0f212500 vs. cf212500.
Feb 22 12:00:11 brimstone kernel:   0: @cf212200  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   1: @cf212240  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   2: @cf212280  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   3: @cf2122c0  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   4: @cf212300  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   5: @cf212340  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   6: @cf212380  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   7: @cf2123c0  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   8: @cf212400  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   9: @cf212440  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   10: @cf212480  length 8000002a status
8000002a
Feb 22 12:00:11 brimstone kernel:   11: @cf2124c0  length 8000002a status
8000002a
Feb 22 12:00:11 brimstone kernel:   12: @cf212500  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   13: @cf212540  length 8000002a status
0000002a
Feb 22 12:00:11 brimstone kernel:   14: @cf212580  length 8000002a status
current 403276(12)
0000002a
Feb 22 12:00:11 brimstone kernel:   15: @cf2125c0  length 8000002a status
0000002a

Now, according to the system logs, the machine came off the network two hours
earlier. The kernel logged this only when I bounced the card.
Comment 1 Bugzilla owner 2004-09-30 11:39:23 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.